Class SpeakAndLogNoParms
    Public Sub Main(ByVal Parms As Object)
        ''
        '' Simple Sample Script
        ''
        hs.Speak("Sample Script")
        hs.WriteLog("SpeakAndLogNoParms", "Sample Script")
    End Sub
End Class
Class SpeakAndLogOneParm
    Public Sub Main(ByVal Parms As Object)
        ''
        '' Simple Sample Using One Parm
        ''
        '''' When you run this script, specify a parameter as the text to speak/log
        ''
        hs.Speak(Parms.ToString)
        hs.WriteLog("SpeakAndLogOneParm", Parms.ToString)
    End Sub
End Class
Class SpeakAndLogMultipleParms
    Public Sub Main(ByVal Parms As Object)
        ''
        '' Simple Sample Using Multiple Parms
        ''
        '''' Specify two parms, separated by a vertical bar character ("|")
        ''''
        ''''   The 1st parm is the text spoken
        ''''   The 2nd parm is the text written to the HS log
        ''
        Dim ParmArray() As String

        ParmArray = Parms.ToString.Split("|")                       ' split parameter string into parm array
        hs.Speak(ParmArray(0))                                      ' speak 1st parm
        hs.WriteLog("SpeakAndLogMultipleParms", ParmArray(1))       ' log 2nd parm
    End Sub
End Class